## org.red5.io.amf3
Class AMF3

    java.lang.Object
      org.red5.io.amf3.AMF3

    public class AMF3

extends Object

AMF3 data type definitions. For detailed specification please see the link below.

Author:
  The Red5 Project (red5@osflash.org), Luke Hubbard, Codegent Ltd (luke@codegent.com), Joachim Bauch (jojo@struktur.de), Paul Gregoire (mondain@gmail.com)
See Also:
  AMF3 specification (external), Official Adobe AMF3 Specification

Field Summary
`static Charset` `CHARSET` UTF-8 is used
`static int` `LONG_STRING_LENGTH` Max string length
`static long` `MAX_INTEGER_VALUE` Maximum possible value for integer number encoding.
`static long` `MIN_INTEGER_VALUE` Minimum possible value for integer number encoding.
`static byte` `TYPE_ARRAY` Array start marker
`static byte` `TYPE_BOOLEAN_FALSE` Boolean false marker
`static byte` `TYPE_BOOLEAN_TRUE` Boolean true marker
`static byte` `TYPE_BYTEARRAY` ByteArray marker
`static byte` `TYPE_DATE` Date marker
`static byte` `TYPE_INTEGER` Integer marker
`static byte` `TYPE_NULL` Null marker
`static byte` `TYPE_NUMBER` Number marker
`static byte` `TYPE_OBJECT` Object start marker
`static byte` `TYPE_OBJECT_EXTERNALIZABLE` Externalizable object.
`static byte` `TYPE_OBJECT_PROPERTY` Property list encoding.
`static byte` `TYPE_OBJECT_PROXY` Proxy object.
`static byte` `TYPE_OBJECT_VALUE` Name-value encoding.
`static byte` `TYPE_STRING` String marker
`static byte` `TYPE_UNDEFINED` Undefined marker
`static byte` `TYPE_XML` XML start marker
`static byte` `TYPE_XML_DOCUMENT` XML document marker This is for the legacy XMLDocument type is retained in the language as flash.xml.XMLDocument.

Constructor Summary
`AMF3()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHARSET

    public static final Charset CHARSET

  UTF-8 is used

### MIN_INTEGER_VALUE

    public static final long MIN_INTEGER_VALUE

  Minimum possible value for integer number encoding.

  See Also:
    Constant Field Values

### MAX_INTEGER_VALUE

    public static final long MAX_INTEGER_VALUE

  Maximum possible value for integer number encoding.

  See Also:
    Constant Field Values

### LONG_STRING_LENGTH

    public static final int LONG_STRING_LENGTH

  Max string length

  See Also:
    Constant Field Values

### TYPE_UNDEFINED

    public static final byte TYPE_UNDEFINED

  Undefined marker

  See Also:
    Constant Field Values

### TYPE_NULL

    public static final byte TYPE_NULL

  Null marker

  See Also:
    Constant Field Values

### TYPE_BOOLEAN_FALSE

    public static final byte TYPE_BOOLEAN_FALSE

  Boolean false marker

  See Also:
    Constant Field Values

### TYPE_BOOLEAN_TRUE

    public static final byte TYPE_BOOLEAN_TRUE

  Boolean true marker

  See Also:
    Constant Field Values

### TYPE_INTEGER

    public static final byte TYPE_INTEGER

  Integer marker

  See Also:
    Constant Field Values

### TYPE_NUMBER

    public static final byte TYPE_NUMBER

  Number marker

  See Also:
    Constant Field Values

### TYPE_STRING

    public static final byte TYPE_STRING

  String marker

  See Also:
    Constant Field Values

### TYPE_XML_DOCUMENT

    public static final byte TYPE_XML_DOCUMENT

  XML document marker
  This is for the legacy XMLDocument type is retained in the language as flash.xml.XMLDocument. Similar to AMF 0, the structure of an XMLDocument needs to be flattened into a string representation for serialization. As with other strings in AMF, the content is encoded in UTF-8. XMLDocuments can be sent as a reference to a previously occurring XMLDocument instance by using an index to the implicit object reference table.

  See Also:
    Constant Field Values

### TYPE_DATE

    public static final byte TYPE_DATE

  Date marker

  See Also:
    Constant Field Values

### TYPE_ARRAY

    public static final byte TYPE_ARRAY

  Array start marker

  See Also:
    Constant Field Values

### TYPE_OBJECT

    public static final byte TYPE_OBJECT

  Object start marker

  See Also:
    Constant Field Values

### TYPE_XML

    public static final byte TYPE_XML

  XML start marker

  See Also:
    Constant Field Values

### TYPE_BYTEARRAY

    public static final byte TYPE_BYTEARRAY

  ByteArray marker

  See Also:
    Constant Field Values

### TYPE_OBJECT_PROPERTY

    public static final byte TYPE_OBJECT_PROPERTY

  Property list encoding. The remaining integer-data represents the number of class members that exist. The property names are read as string-data. The values are then read as AMF3-data.

  See Also:
    Constant Field Values

### TYPE_OBJECT_EXTERNALIZABLE

    public static final byte TYPE_OBJECT_EXTERNALIZABLE

  Externalizable object. What follows is the value of the "inner" object, including type code. This value appears for objects that implement IExternalizable, such as ArrayCollection and ObjectProxy.

  See Also:
    Constant Field Values

### TYPE_OBJECT_VALUE

    public static final byte TYPE_OBJECT_VALUE

  Name-value encoding. The property names and values are encoded as string-data followed by AMF3-data until there is an empty string property name. If there is a class-def reference there are no property names and the number of values is equal to the number of properties in the class-def.

  See Also:
    Constant Field Values

### TYPE_OBJECT_PROXY

    public static final byte TYPE_OBJECT_PROXY

  Proxy object.

  See Also:
    Constant Field Values

Constructor Detail

### AMF3

    public AMF3()

Copyright © 2006-2010 The Red5 Project